<template>
  <v-navigation-drawer class="primary" app permanent expand-on-hover>
    <v-list width="100%">
      <router-link to="/dashboard" v-slot="{ href, navigate, isActive }">
        <v-list-item
          :class="isActive ? 'currentpage' : 'menuitem'"
          @click="navigate"
          :href="href"
          dense
          link
        >
          <v-list-item-icon>
            <v-icon :color="isActive ? 'primary' : 'white'">
              mdi-home-variant
            </v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>
              Dashboard
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </router-link>
      <router-link to="/appointments" v-slot="{ href, navigate, isActive }">
        <v-list-item
          :class="isActive ? 'currentpage' : 'menuitem'"
          @click="navigate"
          :href="href"
          dense
          link
        >
          <v-list-item-icon>
            <v-icon :color="isActive ? 'primary' : 'white'">
              mdi-calendar-range
            </v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>
              Appointments
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </router-link>
      <router-link to="/newappointment" v-slot="{ href, navigate, isActive }">
        <v-list-item
          :class="isActive ? 'currentpage' : 'menuitem'"
          @click="navigate"
          :href="href"
          dense
          link
        >
          <v-list-item-icon>
            <v-icon :color="isActive ? 'primary' : 'white'">
              mdi-plus
            </v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>
              New Appointment
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </router-link>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
export default {
  name: "Sidenav",
};
</script>
<style scoped></style>
<style>
.v-navigation-drawer__content {
  display: flex;
  align-items: center;
}
.currentpage {
  background-color: white;
  color: #1976d2 !important;
}
.menuitem {
  color: white !important;
}
</style>
